Bug Hunting Session
Bug 91554 - Calc adds empty style with new style from selection
Summary: Calc adds empty style with new style from selection
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.8.2 release
Hardware: Other All
: medium normal
Assignee: Maxim Monastirsky
URL:
Whiteboard: target:5.1.0 target:5.0.3 target:4.4.6
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2015-05-23 23:53 UTC by Robert Gonzalez MX
Modified: 2016-10-25 19:20 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshoots of UI (31.26 KB, application/vnd.oasis.opendocument.text)
2015-07-08 04:50 UTC, Robert Gonzalez MX
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Gonzalez MX 2015-05-23 23:53:56 UTC
Tested on Windows XP SP3 and Windows 8 
Version: 5.0.0.0.beta1
Build ID: 0a16c3dda4150008d9be6f24cbd15ac198d116d3
Locale: es-MX (es_MX)

When try to create a new style from the new style from selection option, you can create a new style without name, then you can't delete it or change it.

Steps to reproduce:
Create a new Calc File
Select the styles and formatting icon of the lateral toolbar
Select new style from selection icon
the create style windows displays
click OK without a name or typing anithing
an empty style is created

Select the empty style and try to change it or delete it, but noting happens.

If you add a new style from selecting the empty style, Calc hangs.

If you give a name to another new style from default style selection, then you can change it or delete it, as expected.

Expected behavior: it should not accept a new style without a name, jus like in writer.
Comment 1 pierre-yves samyn 2015-05-24 06:19:35 UTC
Hi

Reproduced on windows 7/64 & Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Locale: fr_FR

Also reproduced on Version: 5.0.0.0.beta1
Build ID: 0a16c3dda4150008d9be6f24cbd15ac198d116d3
Locale: fr-FR (fr_FR)

I change the version to the oldest where the bug is detected
Set status to New

As for bug 90099 Save and reload the document: "ghost" style has disappeared."


Regards
Pierre-Yves
Comment 2 Terrence Enger 2015-06-08 14:24:16 UTC
Setting O/S to All and whiteboard to bibisected.

Working in the "42all" bibisect repository, I see ...

    196cdde47dac6d5c1a8d2bd7056cae26ee505575 is the first bad commit
    commit 196cdde47dac6d5c1a8d2bd7056cae26ee505575
    Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
    Date:   Wed Nov 27 11:30:42 2013 +0000

        source-hash-5b72931475de334acfe414eff8f3c9496a7477f6
    
        commit 5b72931475de334acfe414eff8f3c9496a7477f6
        Author:     yangzhang <yangzhang@multicorewareinc.com>
        AuthorDate: Tue Nov 5 16:39:27 2013 +0800
        Commit:     I-Jui (Ray) Sung <ray@multicorewareinc.com>
        CommitDate: Wed Nov 13 00:45:07 2013 -0600
    
            GPU Calc: unit test cases for ARCCOS
    
            Need open macro NO_FALLBACK_TO_SWINTERP in formulagroupcl.cxx for test
    
            AMLOEXT-113 BUG
    
            Change-Id: Ibccb2a40b7a9ffc49d30b694d2f0bab858db14c6
            Signed-off-by: haochen <haochen@multicorewareinc.com>
            Signed-off-by: I-Jui (Ray) Sung <ray@multicorewareinc.com>

    :100644 100644 0e3d9538e798dcd4e2e0ac4b79622c806fe0440e 89a40e21c6df1d65e850a9adda69516849f4f9a2 M	autogen.log
    :100644 100644 dd3233607379fe12a389e61847904c23ba4b07dd 46975d811753af846cc8b2e2636e594870690016 M	ccache.log
    :100644 100644 d4e116b934b42724f7f1296c5f92f14f2cedeb24 860ce8f8ee6892097f5ff7cc8c764f4eb0d9560b M	commitmsg
    :100644 100644 f8208c3a9a5150d57c108f0deb30e8364884c1fd 911849276b60aea15befb0b64a19d06727a9298a M	make.log
    :040000 040000 16d2daa35f00aa7a25d01af9578a0f7883d5b7c9 e20250c6f411995f33daf0b33bb58c4f131c9528 M	opt

and from `git bisect log` ...

    # bad: [793dbf6f80f497dfe587d560d6257f42a24273f6] source-hash-1581b1fc3ac82a7bd62df968226e98604a4ca52d
    # good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
    git bisect start 'latest' 'oldest'
    # good: [8092559c5013969ebda017d79200463b9b975038] source-hash-fd84daf696a368c2c7561b5253b32a63ecdeca4a
    git bisect good 8092559c5013969ebda017d79200463b9b975038
    # good: [0270ef1b76a6de423b30f7927362cc01c1a0fc38] source-hash-b1f7dd66b898b03cb4bd8d434b6370310ea95946
    git bisect good 0270ef1b76a6de423b30f7927362cc01c1a0fc38
    # skip: [ddb123cad22440994cd332d9985dd9558fd07e07] source-hash-647fb29f528b891a1c92846640f7865f5c1fbe7f
    git bisect skip ddb123cad22440994cd332d9985dd9558fd07e07
    # skip: [9d357dc6201f7cd91448595e0a3f89dfdae81946] source-hash-2304beaca33c63b94df99cb827716f00ce259f9a
    git bisect skip 9d357dc6201f7cd91448595e0a3f89dfdae81946
    # good: [ef72aa34cf4ee6399b192de28708d621c9680a50] source-hash-7e07a45500dcbb891a85f0bc9b7049cf4d50bba1
    git bisect good ef72aa34cf4ee6399b192de28708d621c9680a50
    # good: [2472598a0b04eef3038d56137f27dc6dc1edf9e5] source-hash-5050dfc73f194d1d59222cac72e69a917655d816
    git bisect good 2472598a0b04eef3038d56137f27dc6dc1edf9e5
    # skip: [b25c77bc097fa4cc84f59ebdd34011bafbb3a770] source-hash-660800d6f33a01ad53fc0f5717e1c33868440d2f
    git bisect skip b25c77bc097fa4cc84f59ebdd34011bafbb3a770
    # skip: [b25c77bc097fa4cc84f59ebdd34011bafbb3a770] source-hash-660800d6f33a01ad53fc0f5717e1c33868440d2f
    git bisect skip b25c77bc097fa4cc84f59ebdd34011bafbb3a770
    # good: [89c7af972191d30321e9503b6454e8b1570ee3e8] source-hash-0aa9ced531b8d85ad067c1d156a9708eea628d78
    git bisect good 89c7af972191d30321e9503b6454e8b1570ee3e8
    # good: [89c7af972191d30321e9503b6454e8b1570ee3e8] source-hash-0aa9ced531b8d85ad067c1d156a9708eea628d78
    git bisect good 89c7af972191d30321e9503b6454e8b1570ee3e8
    # skip: [8bd734b6642f44d6876b227c0678f2be60425082] source-hash-c1f416feda0ef4ef215ca587b9bac03659b48c7a
    git bisect skip 8bd734b6642f44d6876b227c0678f2be60425082
    # bad: [9bce3024c675da4777cf206f8d913ebba8c7ed2b] source-hash-a1aea9418f860595641da8dcc971f656eaacf8a3
    git bisect bad 9bce3024c675da4777cf206f8d913ebba8c7ed2b
    # good: [5ab5ade9fe4d1210ad3c08cadb699495c7f244e0] source-hash-a18a92b1b0c4ff591bd83f190f11c196ed676e86
    git bisect good 5ab5ade9fe4d1210ad3c08cadb699495c7f244e0
    # bad: [196cdde47dac6d5c1a8d2bd7056cae26ee505575] source-hash-5b72931475de334acfe414eff8f3c9496a7477f6
    git bisect bad 196cdde47dac6d5c1a8d2bd7056cae26ee505575
    # good: [4d0729fe3ad0839300ea972b482263f4a2a87c88] source-hash-4ac9fa7a887d09edf7f1fc38f155a93cff30ac97
    git bisect good 4d0729fe3ad0839300ea972b482263f4a2a87c88
    # first bad commit: [196cdde47dac6d5c1a8d2bd7056cae26ee505575] source-hash-5b72931475de334acfe414eff8f3c9496a7477f6
Comment 3 Robert Gonzalez MX 2015-06-20 04:43:21 UTC
Hello.

Still present in Version: 5.0.0.0.beta3
Build ID: 96345c15d8ab19c49014f055fe41ba8e1f421e5c
Locale: es-MX (es_MX)
On Windows 8
Comment 4 Robert Gonzalez MX 2015-07-08 04:49:40 UTC
Hello.

Tested on windows 8 with Version: 4.2.8.2
Build ID: 48d50dbfc06349262c9d50868e5c1f630a573ebd

And is present

with Version: 4.1.6.2
Build ID: 40ff705089295be5be0aae9b15123f687c05b0a
Is not present.

The Create style from selection in side bar icon in 4.1.6
brings the input window that won’t accept an empty style, OK button is disabled

It seems that in the 4.2 series was introduced a change in the same input window, but the ok button is not disabled when the name of the style is empty.

I am attaching a file with screenshoots of this, and lowering version to 4.2.8.2.
Maybe it started with 4.2.0, but I only have the last of each version.
Comment 5 Robert Gonzalez MX 2015-07-08 04:50:27 UTC
Created attachment 117116 [details]
screenshoots of UI
Comment 6 Matthew Francis 2015-09-06 03:21:58 UTC
Handling enabling/disabling the OK button was apparently missed in the UI conversion
Adding Cc: to malhassoun@kacst.edu.sa; Could you possibly take a look at this one? Thanks

    commit eb505c259d0d7bd05d1bb5be5a14ad8613c2a9c7
    Author:     Manal Alhassoun <malhassoun@kacst.edu.sa>
    AuthorDate: Thu Nov 7 15:12:10 2013 +0300
    Commit:     Caolán McNamara <caolanm@redhat.com>
    CommitDate: Tue Nov 12 12:07:33 2013 +0000
    
        Convert New Style dialog to widget UI
    
        Change-Id: Idaea69f674e1e84e3e1e649006c2d92176897fe0
        Reviewed-on: https://gerrit.libreoffice.org/6607
        Reviewed-by: Caolán McNamara <caolanm@redhat.com>
        Tested-by: Caolán McNamara <caolanm@redhat.com>
Comment 7 Commit Notification 2015-09-06 13:43:48 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fdbad6761f5634982bb7b837bb145b3bd580832b

tdf#91554 OK button should be disabled initially

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-09-07 13:53:29 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f14659933b6ddb76c55a523badf50e61f8015ec7&h=libreoffice-5-0

tdf#91554 OK button should be disabled initially

It will be available in 5.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-09-07 13:54:47 UTC
Maxim Monastirsky committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=57d0d31de4eecf56ef23cd279debfca8e4d7dc9f&h=libreoffice-4-4

tdf#91554 OK button should be disabled initially

It will be available in 4.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Robinson Tryon (qubit) 2015-12-17 09:12:31 UTC Comment hidden (obsolete)